Bug 57343 - Segmenzation fault caused by the "Add User.LoginTime property" commit
Summary: Segmenzation fault caused by the "Add User.LoginTime property" commit
Status: RESOLVED FIXED
Alias: None
Product: accountsservice
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Hardware: Other All
: medium critical
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-20 21:21 UTC by Balló György
Modified: 2012-11-28 02:20 UTC (History)
4 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Balló György 2012-11-20 21:21:51 UTC
Since version 0.6.26, I get a segmentation fault when I try to run accounts-daemon, and this causes that GDM fails to run. After bisecting, I found that it caused by the following commit:

accountsservice: Add User.LoginTime property
http://cgit.freedesktop.org/accountsservice/commit/?id=eb1c98bd9785cea849028b8be60d8d16c9abcab0


The output of the accounts-daemon command:

(accounts-daemon:366): GLib-GObject-WARNING **: g_object_set_valist: object class `User' has no property named `ballogy'

(accounts-daemon:366): GLib-GObject-WARNING **: g_object_set_valist: object class `User' has no property named `login-previous_login'
Segmentation fault


The backtrace:

#0  0xb7be37b6 in __strchr_sse2_bsf () from /usr/lib/libc.so.6
#1  0xb7e0ecaf in g_param_spec_pool_lookup () from /usr/lib/libgobject-2.0.so.0
#2  0xb7e09ac9 in g_object_set_valist () from /usr/lib/libgobject-2.0.so.0
#3  0xb7e0a438 in g_object_set () from /usr/lib/libgobject-2.0.so.0
#4  0x0805599a in entry_generator_wtmp (users=
    Python Exception <class 'gdb.error'> There is no member named keys.: 
0x8077d90, state=0xbffff92c) at daemon.c:344
#5  0x08056683 in load_entries (daemon=daemon@entry=0x8074048, 
    users=users@entry=
    Python Exception <class 'gdb.error'> There is no member named keys.: 
0x8077d90, entry_generator=entry_generator@entry=
    0x8055686 <entry_generator_wtmp>) at daemon.c:480
#6  0x0805686b in reload_users (daemon=0x8074048) at daemon.c:551
#7  reload_users_timeout (daemon=0x8074048) at daemon.c:593
#8  0xb7d3d9e0 in ?? () from /usr/lib/libglib-2.0.so.0
#9  0xb7d40793 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#10 0xb7d40b30 in ?? () from /usr/lib/libglib-2.0.so.0
#11 0xb7d40f8b in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#12 0x0805baec in main (argc=1, argv=0xbffffba4) at main.c:182
Comment 1 Balló György 2012-11-22 18:14:13 UTC
With version 0.6.29 I still receive a segmentation fault. The warning about login-previous_login was gone, but all others are unchanged.
Comment 2 Matthias Clasen 2012-11-26 13:54:16 UTC
What are the others ?
Comment 3 Balló György 2012-11-26 21:05:00 UTC
I still get the same segfault with version 0.6.29.

Backtrace:
#0  0xb7be37b6 in __strchr_sse2_bsf () from /usr/lib/libc.so.6
#1  0xb7e0ecaf in g_param_spec_pool_lookup () from /usr/lib/libgobject-2.0.so.0
#2  0xb7e09ac9 in g_object_set_valist () from /usr/lib/libgobject-2.0.so.0
#3  0xb7e0a438 in g_object_set () from /usr/lib/libgobject-2.0.so.0
#4  0x0805599a in entry_generator_wtmp (users=
    Python Exception <class 'gdb.error'> There is no member named keys.: 
0x8077d90, state=0xbffffabc) at daemon.c:344
#5  0x08056683 in load_entries (daemon=daemon@entry=0x8074048, 
    users=users@entry=
    Python Exception <class 'gdb.error'> There is no member named keys.: 
0x8077d90, entry_generator=entry_generator@entry=
    0x8055686 <entry_generator_wtmp>) at daemon.c:480
#6  0x0805686b in reload_users (daemon=0x8074048) at daemon.c:551
#7  reload_users_timeout (daemon=0x8074048) at daemon.c:593
#8  0xb7d3d9e0 in ?? () from /usr/lib/libglib-2.0.so.0
#9  0xb7d40793 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#10 0xb7d40b30 in ?? () from /usr/lib/libglib-2.0.so.0
#11 0xb7d40f8b in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#12 0x0805baec in main (argc=1, argv=0xbffffd34) at main.c:182
Comment 4 Matthew Monaco 2012-11-27 23:07:36 UTC
György, are you on a 32-bit system? I have a bunch of 64-bits and haven't seen this. Then I started noticing it on my single 32-bit system.
Comment 5 Matthias Clasen 2012-11-27 23:34:02 UTC
That is a good hint.  Please try the fix that I've just pushed.
Comment 6 Balló György 2012-11-28 02:20:55 UTC
Yes, it happened on my 32 bit systems only, and the fix solves the problem. Thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.